<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateUsers extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('users')
			->addColumn('name', 'string', ['length' => 50, 'null' => false])
			->addColumn('password', 'string', ['length' => 255, 'default' => null, 'null' => true])
			->addColumn('enabled', 'integer', ['length' => 1, 'default' => 1, 'null' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
